error: subscription_id is required